// Module Author: Chris Pederick / Biju G.C. 2003.0705 
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://localechanger.mozdev.org/
//
// Credits to Chris Pederick ( http://chrispederick.myacen.com/work/phoenix/useragentswitcher/ )
// Structure for this routine was taken from User Agent Switcher extension;

var author              = "Philippe";
var displayName         = "LocaleChanger";
var name                = "localechanger";
var version             = "0.1";

var installContent      = true;
var installLocale       = true;
var installSkin         = false;

var flagTb              = true;
var jarName             = "localechanger.jar";

var flagLocation        = PROFILE_CHROME;
var folder              = getFolder("Current User", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));

var msgTitle            = displayName + " (" +version + ")\n\n"

var msgLocationChk      = "Select Install Location : " + msgTitle 
                        + "Do you want to install the extension into your profile folder?\n"
                        + "[OK] ______ to install in your Personal Profile folder\n"
                        + "[Cancel] ___ will install into the Application folder"

var msgSuccess          = "Success : " + msgTitle +  "Extension has been successfully installed!\n\n"
                        + "You must restart Firebird/Thunderbird to complete installation!"

var msgFail             = "Failed : " + msgTitle +  "The installation of the extension failed.\nError : " 

var installthis = true;


if (existsInProfile || existsInApplication)
{
 allmsg();
}     


if (installthis) 
{
initInstall(displayName, name, version);

if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
{
  flagLocation = DELAYED_CHROME;
  folder       = getFolder("Chrome");
}

setPackageFolder(folder);
addFile(name, jarName, folder, "");

installContent && registerChrome(CONTENT | flagLocation, getFolder(folder, jarName), "content/" + name + "/");
installLocale  && registerChrome(LOCALE  | flagLocation, getFolder(folder, jarName), "locale/en-US/" + name + "/");

if(getLastError() == SUCCESS)
{
  performInstall();
  alert(msgSuccess);
}
else
{
  cancelInstall(getLastError());
  alert(msgFail + getLastError());
}


  
}

function allmsg()
{
  var s;
  s = "STOP !!!\n"
    + "\n"
    + "Found previous installation of this extension.\n"
    + "\n"
    + "You are strongly recommended to read instruction\n"
    + 'for updating/reinstalling this extension in "Known Issues Page" at\n'
    + "http://localechanger.mozdev.org/issues.html\n"
    + "\n"
    + "\n"
    + "Do you want Continue installation?\n"
    + "[OK] ______ to Continue \n"
    + "[Cancel] ___ to STOP installation"

   if (confirm(s))   { 
     installthis  = true
   }  else {
     alert("Successfully STOPPED Installation.")
     installthis  = false
   }
}
    
    

function privatemsg(jarfile)
{
  var s;
  s = "Installation  STOPED !!!\n"
    + "\n"
    + "When this extension is already running\n"
    + "ThunderBird is not capable of updating/reinstalling it.\n"
    + "It will corrupt ThunderBird installation !!!\n"
    + "\n"
    + "You are strongly recommended to read instruction\n"
    + 'for updating/reinstalling this extension in "Known Issues Page" at\n'
    + "http://localechanger.mozdev.org/issues.html\n"
    + "\n"
    + "\n"
    + "\n"
    + "I found a previous installation of this extension in your private profile.\n"
    + "\n"
    + "__ 1. Please disable this extension first.\n"
    + "__ 2. Then quit and restart ThunderBird.\n"
    + "__ 3. Delete " + jarfile + " private profile.\n"
    + "__ 4. Then install new version of extension.\n"
    + "__ 5. And enable this extension."

  alert(s);
}
